*//////////////////////////
*// Convert DBF to XML
*//////////////////////////
#DEFINE C_TABLE "orders" 
#DEFINE C_FILE_INP HOME(2)+"data\" + C_TABLE + ".dbf" 
#DEFINE C_FILE_OUT "xml_data" 

SET DEFAULT TO (LEFT(SYS(16), RAT("\", SYS(16)))) 

*//////////////////////////
*// Open table
IF !USED(C_TABLE)
	USE (C_FILE_INP) IN 0 SHARED
	IF !USED(C_TABLE)
		RETURN .F.
	ENDIF
ENDIF

*//////////////////////////
*// Convert DBF to XML
LOCAL lnLength as Number, lcXmlFile as String
lcXmlFile = C_FILE_OUT + '.xml'
SET SAFETY OFF 
lnLength = CURSORTOXML(C_TABLE, lcXmlFile, 1, 512+16+4, 0, "1")
SET SAFETY ON

*//////////////////////////
*// Close table
IF USED(C_TABLE)
	USE IN (C_TABLE)
ENDIF	
CLOSE DATABASES ALL