*/////////////// XmlToLower.prg
#DEFINE INP_FILE	HOME(2) + "Solution\Toledo\GetCustomers.xml"
#DEFINE OUT_FILE	"C:\temp\output.xml"
#DEFINE REGEXP_TAGS	"<[\/]{0,1}(.*?)>"

LOCAL loRegExp as _regexp
IF !("_regexp" $ LOWER(SET("Classlib")))
	SET CLASSLIB TO (HOME(0) + "ffc\_regexp.vcx")
ENDIF
loRegExp = NEWOBJECT("_regexp")
IF VARTYPE(loRegExp) # 'O'
	RETURN .F.
ENDIF

LOCAL lcInpStr as String;
	,lnMatches as Integer;
	,lnMatch as Integer;
	,lnIndex as Integer;
	,lcOldValue as String;
	,lcNewValue as String;
	,lnTagEnd as Integer;
	,lnPos as Integer;
	,lnPos1 as Integer;
	,lnPos2 as Integer

lcInpStr = FILETOSTR(LOCFILE(INP_FILE))
WITH loRegExp
	.clear()
	.pattern = REGEXP_TAGS
	lnMatches = .execute(lcInpStr, .F.)
	FOR lnMatch = 1 TO lnMatches
		lcNewValue = ""
		lnIndex = .matches[lnMatch,1]
		lcOldValue = .matches[lnMatch,2]
		lnTagEnd = ATC('</', lcOldValue)
		DO CASE
			CASE ATC('<?', lcOldValue) > 0
				*-- XML PI-instruction
				LOOP
			CASE lnTagEnd = 0
				*-- The begin one tag only
				lnPos1 = ATC(">", lcOldValue)
				lnPos2 = ATC(CHR(32), lcOldValue)
				lnPos = IIF(lnPos2 > 0, lnPos2, lnPos1) - 2
				lcNewValue = STUFFC(lcOldValue, 2, lnPos, LOWER(SUBSTRC(lcOldValue, 2, lnPos)))
			OTHERWISE
				*-- The end one tag only
				lnPos = ATC(">", lcOldValue) - 1
				lcNewValue = STUFFC(lcOldValue, 3, lnPos, LOWER(SUBSTRC(lcOldValue, 3, lnPos)))
		ENDCASE
		IF !EMPTY(lcNewValue) AND (lcOldValue != lcNewValue)
			lcInpStr = STUFFC(lcInpStr, lnIndex, LENC(lcNewValue), lcNewValue)
		ENDIF
	ENDFOR
ENDWITH
IF FILE(OUT_FILE)
	ERASE (OUT_FILE)
ENDIF
STRTOFILE(lcInpStr, OUT_FILE)
*/////////////// XmlToLower.prg